ProtobufRpcEngine (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.ipc, class: ProtobufRpcEngine

Package org.apache.hadoop.ipc

# Class ProtobufRpcEngine

java.lang.Object
org.apache.hadoop.ipc.ProtobufRpcEngine

All Implemented Interfaces:
  `RpcEngine`

@Deprecated @Evolving public class ProtobufRpcEngine extends Object implements RpcEngine
Deprecated.
RPC Engine for for protobuf based RPCs. This engine uses Protobuf 2.5.0. Recommended to upgrade to Protobuf 3.x from hadoop-thirdparty and use ProtobufRpcEngine2.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `protected static class`
  `ProtobufRpcEngine.Invoker`
  Deprecated.
  `static class`
  `ProtobufRpcEngine.Server`
  Deprecated.
  Server implementation is always ProtobufRpcEngine2 based implementation, supports backward compatibility for protobuf 2.5 based implementations, which uses non-shaded protobuf classes.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final org.slf4j.Logger`
  `LOG`
  Deprecated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProtobufRpcEngine()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AsyncGet<com.google.protobuf.Message,Exception>`
  `getAsyncReturnMessage()`
  Deprecated.
  `ProtocolProxy<ProtocolMetaInfoPB>`
  `getProtocolMetaInfoProxy(Client.ConnectionId connId, Configuration conf, SocketFactory factory)`
  Deprecated.
  Returns a proxy for ProtocolMetaInfoPB, which uses the given connection id.
  `<T> ProtocolProxy<T>`
  `getProxy(Class<T> protocol, long clientVersion, InetSocketAddress addr, UserGroupInformation ticket, Configuration conf, SocketFactory factory, int rpcTimeout)`
  Deprecated.
  `<T> ProtocolProxy<T>`
  `getProxy(Class<T> protocol, long clientVersion, InetSocketAddress addr, UserGroupInformation ticket, Configuration conf, SocketFactory factory, int rpcTimeout, RetryPolicy connectionRetryPolicy)`
  Deprecated.
  Construct a client-side proxy object.
  `<T> ProtocolProxy<T>`
  `getProxy(Class<T> protocol, long clientVersion, InetSocketAddress addr, UserGroupInformation ticket, Configuration conf, SocketFactory factory, int rpcTimeout, RetryPolicy connectionRetryPolicy, AtomicBoolean fallbackToSimpleAuth, AlignmentContext alignmentContext)`
  Deprecated.
  Construct a client-side proxy object.
  `<T> ProtocolProxy<T>`
  `getProxy(Class<T> protocol, long clientVersion, Client.ConnectionId connId, Configuration conf, SocketFactory factory, AlignmentContext alignmentContext)`
  Deprecated.
  Construct a client-side proxy object with a ConnectionId.
  `RPC.Server`
  `getServer(Class<?> protocol, Object protocolImpl, String bindAddress, int port, int numHandlers, int numReaders, int queueSizePerHandler, boolean verbose, Configuration conf, SecretManager<? extends TokenIdentifier> secretManager, String portRangeConfig, AlignmentContext alignmentContext)`
  Deprecated.
  Construct a server for a protocol implementation instance.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### LOG

    public static final org.slf4j.Logger LOG
    Deprecated.

- ## Constructor Details

  - ### ProtobufRpcEngine

    public ProtobufRpcEngine()
    Deprecated.

- ## Method Details

  - ### getAsyncReturnMessage

    @Unstable public static AsyncGet<com.google.protobuf.Message,Exception> getAsyncReturnMessage()
    Deprecated.

  - ### getProxy

    public <T> ProtocolProxy<T> getProxy(Class<T> protocol, long clientVersion, Client.ConnectionId connId, Configuration conf, SocketFactory factory, AlignmentContext alignmentContext) throws IOException
    Deprecated.
    Description copied from interface: `RpcEngine`
    Construct a client-side proxy object with a ConnectionId.
    Specified by:
      `getProxy` in interface `RpcEngine`
    Type Parameters:
      `T` - Generics Type T.
    Parameters:
      `protocol` - input protocol.
      `clientVersion` - input clientVersion.
      `connId` - input ConnectionId.
      `conf` - input Configuration.
      `factory` - input factory.
      `alignmentContext` - Alignment context
    Returns:
      ProtocolProxy.
    Throws:
      `IOException` - raised on errors performing I/O.

  - ### getProxy

    public <T> ProtocolProxy<T> getProxy(Class<T> protocol, long clientVersion, InetSocketAddress addr, UserGroupInformation ticket, Configuration conf, SocketFactory factory, int rpcTimeout) throws IOException
    Deprecated.
    Throws:
      `IOException`

  - ### getProxy

    public <T> ProtocolProxy<T> getProxy(Class<T> protocol, long clientVersion, InetSocketAddress addr, UserGroupInformation ticket, Configuration conf, SocketFactory factory, int rpcTimeout, RetryPolicy connectionRetryPolicy) throws IOException
    Deprecated.
    Description copied from interface: `RpcEngine`
    Construct a client-side proxy object.
    Specified by:
      `getProxy` in interface `RpcEngine`
    Type Parameters:
      `T` - Generics Type T.
    Parameters:
      `protocol` - input protocol.
      `clientVersion` - input clientVersion.
      `addr` - input addr.
      `ticket` - input ticket.
      `conf` - input Configuration.
      `factory` - input factory.
      `rpcTimeout` - input rpcTimeout.
      `connectionRetryPolicy` - input connectionRetryPolicy.
    Returns:
      ProtocolProxy.
    Throws:
      `IOException` - raised on errors performing I/O.

  - ### getProxy

    public <T> ProtocolProxy<T> getProxy(Class<T> protocol, long clientVersion, InetSocketAddress addr, UserGroupInformation ticket, Configuration conf, SocketFactory factory, int rpcTimeout, RetryPolicy connectionRetryPolicy, AtomicBoolean fallbackToSimpleAuth, AlignmentContext alignmentContext) throws IOException
    Deprecated.
    Description copied from interface: `RpcEngine`
    Construct a client-side proxy object.
    Specified by:
      `getProxy` in interface `RpcEngine`
    Type Parameters:
      `T` - Generics Type T.
    Parameters:
      `protocol` - input protocol.
      `clientVersion` - input clientVersion.
      `addr` - input addr.
      `ticket` - input tocket.
      `conf` - input Configuration.
      `factory` - input factory.
      `rpcTimeout` - input rpcTimeout.
      `connectionRetryPolicy` - input connectionRetryPolicy.
      `fallbackToSimpleAuth` - input fallbackToSimpleAuth.
      `alignmentContext` - input alignmentContext.
    Returns:
      ProtocolProxy.
    Throws:
      `IOException` - raised on errors performing I/O.

  - ### getProtocolMetaInfoProxy

    public ProtocolProxy<ProtocolMetaInfoPB> getProtocolMetaInfoProxy(Client.ConnectionId connId, Configuration conf, SocketFactory factory) throws IOException
    Deprecated.
    Description copied from interface: `RpcEngine`
    Returns a proxy for ProtocolMetaInfoPB, which uses the given connection id.
    Specified by:
      `getProtocolMetaInfoProxy` in interface `RpcEngine`
    Parameters:
      `connId` - , ConnectionId to be used for the proxy.
      `conf` - , Configuration.
      `factory` - , Socket factory.
    Returns:
      Proxy object.
    Throws:
      `IOException` - raised on errors performing I/O.

  - ### getServer

    public RPC.Server getServer(Class<?> protocol, Object protocolImpl, String bindAddress, int port, int numHandlers, int numReaders, int queueSizePerHandler, boolean verbose, Configuration conf, SecretManager<? extends TokenIdentifier> secretManager, String portRangeConfig, AlignmentContext alignmentContext) throws IOException
    Deprecated.
    Description copied from interface: `RpcEngine`
    Construct a server for a protocol implementation instance.
    Specified by:
      `getServer` in interface `RpcEngine`
    Parameters:
      `protocol` - the class of protocol to use
      `protocolImpl` - the instance of protocol whose methods will be called
      `bindAddress` - the address to bind on to listen for connection
      `port` - the port to listen for connections on
      `numHandlers` - the number of method handler threads to run
      `numReaders` - the number of reader threads to run
      `queueSizePerHandler` - the size of the queue per hander thread
      `verbose` - whether each call should be logged
      `conf` - the configuration to use
      `secretManager` - The secret manager to use to validate incoming requests.
      `portRangeConfig` - A config parameter that can be used to restrict the range of ports used when port is 0 (an ephemeral port)
      `alignmentContext` - provides server state info on client responses
    Returns:
      The Server instance
    Throws:
      `IOException` - on any error